Search By Name
Introduction
This API fetches details about a global business by name, country, and state. Specifically, this API is designed to help businesses and organizations to verify the identity of global businesses by providing key details about them. By using this API, businesses can quickly and easily verify the identity of a global business and ensure that they are complying with all relevant regulations and compliance requirements.
How to call the API
You will need to log in before sending the request. You are required to pass the access token received from the login call, as the authorization header in the request.
API Input Guidelines
Make sure you replace ..your-patron-id.. in the URL with the patronId that you receive from the login call and also make sure you pass in all the necessary input parameters in the correct format.

Sample cURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../globalbusinesses' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "fetchbyName",
"essentials": {
"country": "...country...",
"state": "...state...",
"entityName": "...entityName..."
}
}'Input Parameters
Parameters | Description | Type | Required |
|---|---|---|---|
country | Country Code of the country | String | Compulsory |
state | State Code of the state | String | Conditional |
entityName | Name of entity to be searched | String | Compulsory |
The Supported Country Codes are listed below
Country Code | Country Name |
|---|---|
AT | Austria |
AU | Australia |
BE | Belgium |
BG | Bulgaria |
BY | Belarus |
CA | Canada |
CH | Switzerland |
CN | China |
CY | Cyprus |
CZ | Czech Republic |
DE | Germany |
DK | Denmark |
EE | Estonia |
ES | Spain |
FI | Finland |
FR | France |
GG | Guernsey |
GI | Gibraltar |
GL | Greenland |
GR | Greece |
HK | Hongkong |
HR | Croatia |
HU | Hungary |
ID | Indonesia |
IE | Ireland |
IN | India |
IT | Italy |
JE | Jersey |
JP | Japan |
KG | Kyrgyzstan |
KH | Cambodia |
LT | Lithuania |
LU | Luxembourg |
LV | Latvia |
ME | Montenegro |
MK | Macedonia |
MT | Malta |
NL | Netherlands |
NO | Norway |
NZ | New Zealand |
PL | Poland |
RO | Romania |
RS | Serbia |
RU | Russia |
SE | Sweden |
SG | Singapore |
SI | Slovenia |
SK | Slovakia |
TW | Taiwan |
UA | Ukraine |
UK | United Kingdom |
US | United States of America |
XK | Kosovo |
The Supported State Codes for US are listed below
State Code | State Name |
|---|---|
AK | Alaska |
AL | Alabama |
AR | Arkansas |
AZ | Arizona |
CA | California |
CO | Colorado |
CT | Connecticut |
DC | Washington DC |
DE | Delaware |
FL | Florida |
GA | Georgia |
HI | Hawaii |
IA | Iowa |
ID | Idaho |
IL | Illinois |
IN | Indiana |
KS | Kansas |
KY | Kentucky |
LA | Louisiana |
MA | Massachusetts |
MD | Maryland |
ME | Maine |
MI | Michigan |
MN | Minnesota |
MO | Missouri |
MS | Mississippi |
MT | Montana |
NC | North Carolina |
ND | North Dakota |
NH | New Hampshire |
NJ | New Jersey |
NM | New Mexico |
NV | Nevada |
NY | New York |
OH | Ohio |
OK | Oklahoma |
OR | Oregon |
PA | Pennsylvania |
RI | Rhode Island |
SC | South Carolina |
SD | South Dakota |
TX | Texas |
UT | Utah |
VA | Virginia |
WA | Washington |
WI | Wisconsin |
WV | West Virginia |
WY | Wyoming |
Sample Response
{
"result": [
{
"entityName": "..entityName..",
"entityId": "..entityId..",
}
]
}Parameter | Description |
|---|---|
result | An array of objects that contains the details of the fetched entity. |
entityName | The name of the entity that was fetched from the API. |
entityId | The unique identifier of the entity that was fetched from the A |
Error Parameter
PARAMETER NAME | DESCRIPTION |
|---|---|
error | This parameter contains the error. |
error.statusCode | Request Status code from Signzy |
error.name | the name of the error |
error.message | the error message |
type | type of the error |
CODE | DESCRIPTION | INTERPRETATION |
|---|---|---|
400 | Bad Request | Input Parameter has a missing required parameter or not a valid one. |
401 | Authorization Failed | Authorization token is invalid. |
500 | Internal Server Error | Internal error at Signzy, please contact support. |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].